﻿/**Begin D:\PDM_UPGRADE\pdm1\OCBSOC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCBSOC_ADVANCEENTRY', 'T_OCBSOC_ADVANCEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ADVANCEENTRY_FID') CREATE INDEX IDX_OCBSOC_ADVANCEENTRY_FID ON T_OCBSOC_ADVANCEENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_ADVANCEORDER', 'T_OCBSOC_ADVANCEORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ADVANCEORDER_BNO') CREATE INDEX IDX_OCBSOC_ADVANCEORDER_BNO ON T_OCBSOC_ADVANCEORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCBSOC_DELIVERYENTRY', 'T_OCBSOC_DELIVERYENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIVERYENTRY_FID') CREATE INDEX IDX_OCBSOC_DELIVERYENTRY_FID ON T_OCBSOC_DELIVERYENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELIVERYENTRY_O', 'T_OCBSOC_DELIVERYENTRY_O', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIENTRY_O_FID') CREATE INDEX IDX_OCBSOC_DELIENTRY_O_FID ON T_OCBSOC_DELIVERYENTRY_O ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIENTRY_O_OBNO') CREATE INDEX IDX_OCBSOC_DELIENTRY_O_OBNO ON T_OCBSOC_DELIVERYENTRY_O ( FORDERBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIENTRY_O_EDID') CREATE INDEX IDX_OCBSOC_DELIENTRY_O_EDID ON T_OCBSOC_DELIVERYENTRY_O ( FORDERID ,FORDERENTRYID ,FORDERDETAILID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELIVERYORDER', 'T_OCBSOC_DELIVERYORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIVERYORDER_BNO') CREATE INDEX IDX_OCBSOC_DELIVERYORDER_BNO ON T_OCBSOC_DELIVERYORDER ( FBILLNO );


 EXEC P_ALTERPK 'PK_OCBSOC_ADVANCEORDER_X', 'T_OCBSOC_ADVANCEORDER_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ADVANCEORDERX') CREATE INDEX IDX_OCBSOC_ADVANCEORDERX ON T_OCBSOC_ADVANCEORDER_X ( FORDERDESCRIPTION );

/**End D:\PDM_UPGRADE\pdm1\OCBSOC_constraint.sql **/
