﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_EXCEPDISCOUNT') 
 CREATE TABLE T_OCBSOC_EXCEPDISCOUNT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECENTRYID BIGINT DEFAULT 0 NOT NULL,
FITEMENTRYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCLOSETIME DATETIME,
FENTRYCLOSEUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSHAREOFFSET CHAR(1) DEFAULT '1' NOT NULL,
FSRCDISCOUNTENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_EXCEPOENTRY') 
 CREATE TABLE T_OCBSOC_EXCEPOENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMBINATIONID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FREQBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FORDERLINETYPEID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTANDARDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSERECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_EXCEPORDER') 
 CREATE TABLE T_OCBSOC_EXCEPORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEPLATFORM CHAR(1) DEFAULT '1' NOT NULL,
FSOURCEAPPLY CHAR(1) DEFAULT '1' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FISVALETORDER CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLYRELATION CHAR(1) DEFAULT ' ' NOT NULL,
FSUPPLIERID BIGINT DEFAULT 0 NOT NULL,
FUPDATEMONEYTIME CHAR(1) DEFAULT '2' NOT NULL,
FBALANCECHANNELID BIGINT DEFAULT 0 NOT NULL,
FBALANCECUSTMERID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBILLREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FEXCEPTION BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_EXCEPRECENTRY') 
 CREATE TABLE T_OCBSOC_EXCEPRECENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIPTOFFSETID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSHAREOFFSET CHAR(1) DEFAULT '1' NOT NULL,
FRECREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FBILLAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTIPMSG NVARCHAR(80) DEFAULT ' ' NOT NULL,
FISENOUGH CHAR(1) DEFAULT '0' NOT NULL,
FCLOSEUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUTOUSEREBATEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCRECENTRYID BIGINT DEFAULT 0 NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
