﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_constraint.sql **/
 EXEC P_ALTERPK 'PK_OCBSOC_BALANCE_L', 'T_OCBSOC_BALANCE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_BALANCEL_FLID') CREATE INDEX IDX_OCBSOC_BALANCEL_FLID ON T_OCBSOC_BALANCE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCBSOC_BALANCE', 'T_OCBSOC_BALANCE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_BALANCE_SOCHL') CREATE UNIQUE INDEX IDX_OCBSOC_BALANCE_SOCHL ON T_OCBSOC_BALANCE ( FSALECHANNELID ,FORDERCHANNELID );


 EXEC P_ALTERPK 'PK_OCBSOC_MONEY_RECEIVE', 'T_OCBSOC_MONEY_RECEIVE', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_MONEYRECEIVE_OID') CREATE INDEX IDX_OCBSOC_MONEYRECEIVE_OID ON T_OCBSOC_MONEY_RECEIVE ( FORDERID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_MONEYRECEIVE_SCID') CREATE INDEX IDX_OCBSOC_MONEYRECEIVE_SCID ON T_OCBSOC_MONEY_RECEIVE ( FSALECHANNELID );


 EXEC P_ALTERPK 'PK_OCBSOC_MONEY_RECEIVE_L', 'T_OCBSOC_MONEY_RECEIVE_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_MONEYRECEIVEL_FLID') CREATE INDEX IDX_OCBSOC_MONEYRECEIVEL_FLID ON T_OCBSOC_MONEY_RECEIVE_L ( FID ,FLOCALEID );


 EXEC P_ALTERPK 'PK_OCBSOC_RECBILL_ORDER', 'T_OCBSOC_RECBILL_ORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RECBILLORDER_RID') CREATE INDEX IDX_OCBSOC_RECBILLORDER_RID ON T_OCBSOC_RECBILL_ORDER ( FRECEIVINGBILLID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDER_TPL', 'T_OCBSOC_ORDER_TPL', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_TPL_NUM') CREATE INDEX IDX_OCBSOC_ORDER_TPL_NUM ON T_OCBSOC_ORDER_TPL ( FNUMBER );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDER_TPLENTRY', 'T_OCBSOC_ORDER_TPLENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_TPLENTRY_FID') CREATE INDEX IDX_OCBSOC_ORDER_TPLENTRY_FID ON T_OCBSOC_ORDER_TPLENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDER', 'T_OCBSOC_ORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_BNO') CREATE INDEX IDX_OCBSOC_ORDER_BNO ON T_OCBSOC_ORDER ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_SCHL') CREATE INDEX IDX_OCBSOC_ORDER_SCHL ON T_OCBSOC_ORDER ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_OCHL') CREATE INDEX IDX_OCBSOC_ORDER_OCHL ON T_OCBSOC_ORDER ( FORDERCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_ODATE') CREATE INDEX IDX_OCBSOC_ORDER_ODATE ON T_OCBSOC_ORDER ( FORDERDATE  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_SALER') CREATE INDEX IDX_OCBSOC_ORDER_SALER ON T_OCBSOC_ORDER ( FSALERID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDER_F', 'T_OCBSOC_ORDER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_CUR') CREATE INDEX IDX_OCBSOC_ORDER_CUR ON T_OCBSOC_ORDER_F ( FSETTLECURRENCYID ,FBASECURRENCYID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERENTRY', 'T_OCBSOC_ORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERENTRY_FID') CREATE INDEX IDX_OCBSOC_ORDERENTRY_FID ON T_OCBSOC_ORDERENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERENTRY_ITEM') CREATE INDEX IDX_OCBSOC_ORDERENTRY_ITEM ON T_OCBSOC_ORDERENTRY ( FITEMID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERENTRY_F', 'T_OCBSOC_ORDERENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERENTRYF_FID') CREATE INDEX IDX_OCBSOC_ORDERENTRYF_FID ON T_OCBSOC_ORDERENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERENTRY_R', 'T_OCBSOC_ORDERENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERENTRYR_FID') CREATE INDEX IDX_OCBSOC_ORDERENTRYR_FID ON T_OCBSOC_ORDERENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERRECENTRY', 'T_OCBSOC_ORDERRECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERRECENTRY_EID') CREATE INDEX IDX_OCBSOC_ORDERRECENTRY_EID ON T_OCBSOC_ORDERRECENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERSUBENTRY', 'T_OCBSOC_ORDERSUBENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERSUBENTRY_EID') CREATE INDEX IDX_OCBSOC_ORDERSUBENTRY_EID ON T_OCBSOC_ORDERSUBENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDERSUBENTRY_R', 'T_OCBSOC_ORDERSUBENTRY_R', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDERSUBENTRYR_EID') CREATE INDEX IDX_OCBSOC_ORDERSUBENTRYR_EID ON T_OCBSOC_ORDERSUBENTRY_R ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDER', 'T_OCBSOC_XORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDER_BNO') CREATE INDEX IDX_OCBSOC_XORDER_BNO ON T_OCBSOC_XORDER ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDER_SCHL') CREATE INDEX IDX_OCBSOC_XORDER_SCHL ON T_OCBSOC_XORDER ( FSALECHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDER_OCHL') CREATE INDEX IDX_OCBSOC_XORDER_OCHL ON T_OCBSOC_XORDER ( FORDERCHANNELID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDER_ODATE') CREATE INDEX IDX_OCBSOC_XORDER_ODATE ON T_OCBSOC_XORDER ( FORDERDATE  DESC );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDER_SALER') CREATE INDEX IDX_OCBSOC_XORDER_SALER ON T_OCBSOC_XORDER ( FSALERID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDER_F', 'T_OCBSOC_XORDER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERF_CUR') CREATE INDEX IDX_OCBSOC_XORDERF_CUR ON T_OCBSOC_XORDER_F ( FSETTLECURRENCYID ,FBASECURRENCYID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDER_X', 'T_OCBSOC_XORDER_X', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERX_NUM') CREATE INDEX IDX_OCBSOC_XORDERX_NUM ON T_OCBSOC_XORDER_X ( FCHANGEBILLNO );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERENTRY', 'T_OCBSOC_XORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERENTRY_FID') CREATE INDEX IDX_OCBSOC_XORDERENTRY_FID ON T_OCBSOC_XORDERENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERENTRY_ITEM') CREATE INDEX IDX_OCBSOC_XORDERENTRY_ITEM ON T_OCBSOC_XORDERENTRY ( FITEMID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERENTRY_F', 'T_OCBSOC_XORDERENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERENTRYF_FID') CREATE INDEX IDX_OCBSOC_XORDERENTRYF_FID ON T_OCBSOC_XORDERENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERENTRY_R', 'T_OCBSOC_XORDERENTRY_R', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERENTRYR_FID') CREATE INDEX IDX_OCBSOC_XORDERENTRYR_FID ON T_OCBSOC_XORDERENTRY_R ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERRECENTRY', 'T_OCBSOC_XORDERRECENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERRECENTRY_FID') CREATE INDEX IDX_OCBSOC_XORDERRECENTRY_FID ON T_OCBSOC_XORDERRECENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERSENTRY', 'T_OCBSOC_XORDERSENTRY', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERSENTRY_EID') CREATE INDEX IDX_OCBSOC_XORDERSENTRY_EID ON T_OCBSOC_XORDERSENTRY ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCBSOC_XORDERSENTRY_R', 'T_OCBSOC_XORDERSENTRY_R', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_XORDERSENTRYR_EID') CREATE INDEX IDX_OCBSOC_XORDERSENTRYR_EID ON T_OCBSOC_XORDERSENTRY_R ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELI_DETAIL', 'T_OCBSOC_DELI_DETAIL', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DLD_FRID') CREATE INDEX IDX_OCBSOC_DLD_FRID ON T_OCBSOC_DELI_DETAIL ( FRECORDID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELI_DETAIL_X', 'T_OCBSOC_DELI_DETAIL_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DLDX_FRID') CREATE INDEX IDX_OCBSOC_DLDX_FRID ON T_OCBSOC_DELI_DETAIL_X ( FRECORDID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELIVERYRECORD', 'T_OCBSOC_DELIVERYRECORD', 'FRECORDID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DLR_FSBID') CREATE INDEX IDX_OCBSOC_DLR_FSBID ON T_OCBSOC_DELIVERYRECORD ( FSOURCEBILLID );


 EXEC P_ALTERPK 'PK_OCBSOC_DELIVERYSERIAL', 'T_OCBSOC_DELIVERYSERIAL', 'FDETAILID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_DELIVERYSERIAL_ENT') CREATE INDEX IDX_OCBSOC_DELIVERYSERIAL_ENT ON T_OCBSOC_DELIVERYSERIAL ( FENTRYID );


 EXEC P_ALTERPK 'PK_OCBSOC_RESERVEENTRY', 'T_OCBSOC_RESERVEENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RESERVEENTRY_FID') CREATE INDEX IDX_OCBSOC_RESERVEENTRY_FID ON T_OCBSOC_RESERVEENTRY ( FID );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RESERVEENTRY_FDID') CREATE INDEX IDX_OCBSOC_RESERVEENTRY_FDID ON T_OCBSOC_RESERVEENTRY ( FDETAILID );


 EXEC P_ALTERPK 'PK_OCBSOC_RORDER_F', 'T_OCBSOC_RORDER_F', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDERF_SBID') CREATE INDEX IDX_OCBSOC_RORDERF_SBID ON T_OCBSOC_RORDER_F ( FSETTLECURRENCYID ,FBASECURRENCYID );


 EXEC P_ALTERPK 'PK_OCBSOC_RORDERENTRY', 'T_OCBSOC_RORDERENTRY', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDERENTRY_ID') CREATE INDEX IDX_OCBSOC_RORDERENTRY_ID ON T_OCBSOC_RORDERENTRY ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_RORDERENTRY_F', 'T_OCBSOC_RORDERENTRY_F', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDERENTRYF_ID') CREATE INDEX IDX_OCBSOC_RORDERENTRYF_ID ON T_OCBSOC_RORDERENTRY_F ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_RORDERENTRY_X', 'T_OCBSOC_RORDERENTRY_X', 'FENTRYID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDERENTRYX_ID') CREATE INDEX IDX_OCBSOC_RORDERENTRYX_ID ON T_OCBSOC_RORDERENTRY_X ( FID );


 EXEC P_ALTERPK 'PK_OCBSOC_RORDER', 'T_OCBSOC_RORDER', 'FID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDER_BNO') CREATE INDEX IDX_OCBSOC_RORDER_BNO ON T_OCBSOC_RORDER ( FBILLNO );

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_RORDER_BDT') CREATE INDEX IDX_OCBSOC_RORDER_BDT ON T_OCBSOC_RORDER ( FBILLDATE  DESC );


 EXEC P_ALTERPK 'PK_OCBSOC_ORDER_TPL_L', 'T_OCBSOC_ORDER_TPL_L', 'FPKID', '1';

 IF NOT EXISTS (SELECT 1 FROM KSQL_INDEXES WHERE KSQL_INDNAME = 'IDX_OCBSOC_ORDER_TPL_FLID') CREATE INDEX IDX_OCBSOC_ORDER_TPL_FLID ON T_OCBSOC_ORDER_TPL_L ( FID ,FLOCALEID );



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_constraint.sql **/
