﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_BALANCE_L') 
 CREATE TABLE T_OCBSOC_BALANCE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_BALANCE') 
 CREATE TABLE T_OCBSOC_BALANCE (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FBALANCE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FOCCUPIED DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUSABLE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FVERSION BIGINT DEFAULT 1 NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_MONEY_RECEIVE') 
 CREATE TABLE T_OCBSOC_MONEY_RECEIVE (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTACTSCHANNELID BIGINT DEFAULT 0 NOT NULL,
FRECEIVINGTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYMENTTYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPAYMENTCHANNEL CHAR(1) DEFAULT ' ' NOT NULL,
FPAYMENTTIME DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FAPPROVERID BIGINT DEFAULT 0 NOT NULL,
FAPPROVETIME DATETIME,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTATUS NVARCHAR(30) DEFAULT ' ' NOT NULL,
FPAYMENTSERIALNUMBER NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWRITEOFFID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FWRITEOFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNWRITEOFFAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISREFUND CHAR(1) DEFAULT '0' NOT NULL,
FISADDNEW CHAR(1) DEFAULT '0' NOT NULL,
FREFUNDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCURRENCY BIGINT DEFAULT 0 NOT NULL,
FORDERTYPE CHAR(10) DEFAULT ' ' NOT NULL,
FORDERID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_MONEY_RECEIVE_L') 
 CREATE TABLE T_OCBSOC_MONEY_RECEIVE_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(80) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RECBILL_ORDER') 
 CREATE TABLE T_OCBSOC_RECBILL_ORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FRECEIVINGBILLID BIGINT DEFAULT 0 NOT NULL,
FSALEORDERID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDER_TPL') 
 CREATE TABLE T_OCBSOC_ORDER_TPL (
FID BIGINT DEFAULT 0 NOT NULL,
FCONTYPEID BIGINT DEFAULT 0 NOT NULL,
FCONTEXTTYPE NVARCHAR(255) DEFAULT ' ' NOT NULL,
FNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FENABLE CHAR(1) DEFAULT '1' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FCONTENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FURL NVARCHAR(512) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDER_TPLENTRY') 
 CREATE TABLE T_OCBSOC_ORDER_TPLENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCOMPONENTID BIGINT DEFAULT 0 NOT NULL,
FISVISIBLE CHAR(1) DEFAULT '0' NOT NULL,
FISMUST CHAR(1) DEFAULT '0' NOT NULL,
FISENABLE CHAR(1) DEFAULT '0' NOT NULL,
FISSYS CHAR(1) DEFAULT '0' NOT NULL,
FENTRYCOMMENT NVARCHAR(512) DEFAULT ' ' NOT NULL,
FFIELDJSON_TAG NCLOB,
FPARAMJSON_TAG NCLOB,
FFIELDJSON NVARCHAR(512) DEFAULT ' ' NOT NULL,
FPARAMJSON NVARCHAR(512) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDER') 
 CREATE TABLE T_OCBSOC_ORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEPLATFORM CHAR(1) DEFAULT '1' NOT NULL,
FSOURCEAPPLY CHAR(1) DEFAULT '1' NOT NULL,
FREQUESTDATE DATETIME,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCONFIRMSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGETIME DATETIME,
FCHANGEVERSION INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSETIME DATETIME,
FISVALETORDER CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLYRELATION CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDER_F') 
 CREATE TABLE T_OCBSOC_ORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FPAYTYPE CHAR(1) DEFAULT '2' NOT NULL,
FPAYSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FSUMITEMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERENTRY') 
 CREATE TABLE T_OCBSOC_ORDERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMBINATIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONMODEID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FREQBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVECHANNELID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEADDRESSID BIGINT DEFAULT 0 NOT NULL,
FCONTACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTELEPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYADDRESSID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTDATE DATETIME,
FCOMBINEPARENTID BIGINT DEFAULT 0 NOT NULL,
FSUBITEMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERENTRY_F') 
 CREATE TABLE T_OCBSOC_ORDERENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERENTRY_R') 
 CREATE TABLE T_OCBSOC_ORDERENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSIGNEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSIGNEDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FTOTALRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERRECENTRY') 
 CREATE TABLE T_OCBSOC_ORDERRECENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIPTOFFSETID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSHAREOFFSET CHAR(1) DEFAULT '1' NOT NULL,
FRECREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY') 
 CREATE TABLE T_OCBSOC_ORDERSUBENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVECHANNELID BIGINT DEFAULT 0 NOT NULL,
FCONTACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTELEPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FREQUESTDATE DATETIME,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY_R') 
 CREATE TABLE T_OCBSOC_ORDERSUBENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDER') 
 CREATE TABLE T_OCBSOC_XORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBUSINESSTYPEID BIGINT DEFAULT 0 NOT NULL,
FSOURCEPLATFORM CHAR(1) DEFAULT '1' NOT NULL,
FSOURCEAPPLY CHAR(1) DEFAULT '1' NOT NULL,
FREQUESTDATE DATETIME,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSIGNSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCONFIRMSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FORDERREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCHANGERID BIGINT DEFAULT 0 NOT NULL,
FCHANGETIME DATETIME,
FCHANGEVERSION INT DEFAULT 0 NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCONFIRMERID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMTIME DATETIME,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSETIME DATETIME,
FISVALETORDER CHAR(1) DEFAULT '1' NOT NULL,
FSUPPLYRELATION CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDER_F') 
 CREATE TABLE T_OCBSOC_XORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FPAYTYPE CHAR(1) DEFAULT '2' NOT NULL,
FPAYSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FSUMITEMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRECEIVABLEAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMUNRECAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDER_X') 
 CREATE TABLE T_OCBSOC_XORDER_X (
FID BIGINT DEFAULT 0 NOT NULL,
FCHANGEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGEBIZDATE DATETIME,
FVALIDERID BIGINT DEFAULT 0 NOT NULL,
FVALIDSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FVALIDDATE DATETIME,
FCHANGECANCELERID BIGINT DEFAULT 0 NOT NULL,
FCHANGECANCELSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCHANGECANCELDATE DATETIME,
FSOURCEBILLID BIGINT DEFAULT 0 NOT NULL,
FSOURCEBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCHANGEREASON NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERENTRY') 
 CREATE TABLE T_OCBSOC_XORDERENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMBINATIONID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONMODEID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FREQBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTREQQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVECHANNELID BIGINT DEFAULT 0 NOT NULL,
FRECEIVEADDRESSID BIGINT DEFAULT 0 NOT NULL,
FCONTACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTELEPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FENTRYADDRESSID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FENTRYREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FREQUESTDATE DATETIME,
FBILLENTRYSRCID BIGINT DEFAULT 0 NOT NULL,
FBILLENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL,
FCOMBINEPARENTID BIGINT DEFAULT 0 NOT NULL,
FSUBITEMQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEPERCENT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERENTRY_F') 
 CREATE TABLE T_OCBSOC_XORDERENTRY_F (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPROMOTIONDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERENTRY_R') 
 CREATE TABLE T_OCBSOC_XORDERENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSIGNEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALSIGNEDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSRCBILLENTITY VARCHAR(36) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FTOTALRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERRECENTRY') 
 CREATE TABLE T_OCBSOC_XORDERRECENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECEIPTOFFSETID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FISSHAREOFFSET CHAR(1) DEFAULT '1' NOT NULL,
FRECREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FJOINAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECENTRYSRCID BIGINT DEFAULT 0 NOT NULL,
FRECENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERSENTRY') 
 CREATE TABLE T_OCBSOC_XORDERSENTRY (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FRECEIVECHANNELID BIGINT DEFAULT 0 NOT NULL,
FCONTACTNAME NVARCHAR(50) DEFAULT ' ' NOT NULL,
FTELEPHONE NVARCHAR(50) DEFAULT ' ' NOT NULL,
FADDRESSID BIGINT DEFAULT 0 NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSUBREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FREQUESTDATE DATETIME,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FPLANENTRYSRCID BIGINT DEFAULT 0 NOT NULL,
FPLANENTRYCHANGETYPE CHAR(1) DEFAULT 'B' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORDERSENTRY_R') 
 CREATE TABLE T_OCBSOC_XORDERSENTRY_R (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FJOINORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALORDERASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALOUTSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNEDASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALINSTOCKASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTOTALRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELI_DETAIL') 
 CREATE TABLE T_OCBSOC_DELI_DETAIL (
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEM BIGINT DEFAULT 0 NOT NULL,
FUNIT BIGINT DEFAULT 0 NOT NULL,
FDELIVERQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNIT BIGINT DEFAULT 0 NOT NULL,
FDELIVERBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNIT BIGINT DEFAULT 0 NOT NULL,
FREFUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUSEASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUSEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FREFUSEINFO NVARCHAR(255) DEFAULT ' ' NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE CHAR(10) DEFAULT ' ' NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNTANDTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSCMLOTID BIGINT DEFAULT 0 NOT NULL,
FOCICLOTID BIGINT DEFAULT 0 NOT NULL,
FLOTNUMBER NVARCHAR(50) DEFAULT ' ' NOT NULL,
FPRODUCEDATE DATETIME,
FEXPIRYDATE DATETIME,
FSERIALUNITID BIGINT DEFAULT 0 NOT NULL,
FSERIALQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSIGNASSITQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FJOINREFUSEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINREFUSEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINREFUSEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTHISSIGNBOTPQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELI_DETAIL_X') 
 CREATE TABLE T_OCBSOC_DELI_DETAIL_X (
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ BIGINT DEFAULT 0 NOT NULL,
FENQUIRYCHANNELID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FSTOCKADDRID BIGINT DEFAULT 0 NOT NULL,
FSUMPURINASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURINASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURINBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURINQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FJOININBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOININASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINOUTBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINOUTASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELIVERYRECORD') 
 CREATE TABLE T_OCBSOC_DELIVERYRECORD (
FRECORDID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(100) DEFAULT ' ' NOT NULL,
FBILLSTATUS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FMODIFYTIME DATETIME,
FCREATETIME DATETIME,
FDELIVERDATE DATETIME,
FREMARK NVARCHAR(510) DEFAULT ' ' NOT NULL,
FSOURCEBILLID NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSOURCEBILLTYPE NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIGNTIME DATETIME,
FSIGNSTATUS NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIGNER BIGINT DEFAULT 0 NOT NULL,
FISAUTOSIGN CHAR(1) DEFAULT '0' NOT NULL,
FSOURCEBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FPURSALEMODEL CHAR(1) DEFAULT ' ' NOT NULL,
FHASTAX CHAR(1) DEFAULT '1' NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FOWNERID BIGINT DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSETIME DATETIME,
FSALEORGID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELIVERYSERIAL') 
 CREATE TABLE T_OCBSOC_DELIVERYSERIAL (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FOCICSERIALID BIGINT DEFAULT 0 NOT NULL,
FSERIALNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSCMSERIALID BIGINT DEFAULT 0 NOT NULL,
FISREPLENISH CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RESERVEENTRY') 
 CREATE TABLE T_OCBSOC_RESERVEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FRESERVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FRESERVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RORDER_F') 
 CREATE TABLE T_OCBSOC_RORDER_F (
FID BIGINT DEFAULT 0 NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RORDERENTRY') 
 CREATE TABLE T_OCBSOC_RORDERENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FSALEATTRID BIGINT DEFAULT 0 NOT NULL,
FSTOCKTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONMODEID BIGINT DEFAULT 0 NOT NULL,
FQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FSTOCKID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RORDERENTRY_F') 
 CREATE TABLE T_OCBSOC_RORDERENTRY_F (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTTYPE CHAR(5) DEFAULT 'NULL' NOT NULL,
FDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RORDERENTRY_X') 
 CREATE TABLE T_OCBSOC_RORDERENTRY_X (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FSRCBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FSRCBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FMAINBILLENTITY NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLENTRYID BIGINT DEFAULT 0 NOT NULL,
FMAINBILLNUMBER NVARCHAR(80) DEFAULT ' ' NOT NULL,
FMAINBILLENTRYSEQ INT DEFAULT 0 NOT NULL,
FSUMSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINSALERETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMPURRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINPURRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDELIRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMDELIRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINDELIRETURNASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FJOINDELIRETURNBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_RORDER') 
 CREATE TABLE T_OCBSOC_RORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLDATE DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FBIZTYPEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FRETURNREASONID BIGINT DEFAULT 0 NOT NULL,
FREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FSALECHANNELID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FRETURNCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEEID BIGINT DEFAULT 0 NOT NULL,
FCONSIGNEENAME NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSIGNEEFIXEDTEL NVARCHAR(80) DEFAULT ' ' NOT NULL,
FCONSIGNEEPHONE NVARCHAR(80) DEFAULT ' ' NOT NULL,
FAREAID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILADDRESS NVARCHAR(255) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITDATE DATETIME,
FTRADETYPE CHAR(1) DEFAULT ' ' NOT NULL,
FPURRETURNSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSALERETURNSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FPUSHSTATUS CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDER_TPL_L') 
 CREATE TABLE T_OCBSOC_ORDER_TPL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT 'zh_CN' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);



/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
