﻿/**Begin D:\PDM_UPGRADE\pdm1\OCBSOC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ADVANCEENTRY') 
 CREATE TABLE T_OCBSOC_ADVANCEENTRY (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FISPRESENT CHAR(1) DEFAULT '0' NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FASSISTUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEASSISTQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXRATEID BIGINT DEFAULT 0 NOT NULL,
FTAXRATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FPRICEDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALTAXPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FACTUALPRICE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FENTRYORDERDATE DATETIME,
FWEEK CHAR(1) DEFAULT ' ' NOT NULL,
FENTRYSTATUS CHAR(1) DEFAULT 'N' NOT NULL,
FENTRYREQUESTDATE DATETIME,
FROWCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELIVERYENTRY') 
 CREATE TABLE T_OCBSOC_DELIVERYENTRY (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FGROUPKEY NVARCHAR(500) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELIVERYENTRY_O') 
 CREATE TABLE T_OCBSOC_DELIVERYENTRY_O (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FORDERBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FORDERDATE DATETIME,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FORDERSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FITEMID BIGINT DEFAULT 0 NOT NULL,
FMATERIALID BIGINT DEFAULT 0 NOT NULL,
FISCONTROLORDERQTY CHAR(1) DEFAULT '0' NOT NULL,
FAUXPTYID BIGINT DEFAULT 0 NOT NULL,
FUNITID BIGINT DEFAULT 0 NOT NULL,
FBASEUNITID BIGINT DEFAULT 0 NOT NULL,
FAPPROVEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FAPPROVEBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDELIVERYBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL,
FTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FORDERID BIGINT DEFAULT 0 NOT NULL,
FORDERENTRYID BIGINT DEFAULT 0 NOT NULL,
FORDERDETAILID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_DELIVERYORDER') 
 CREATE TABLE T_OCBSOC_DELIVERYORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FVEHICLEID BIGINT DEFAULT 0 NOT NULL,
FDELIVERYDATE DATETIME,
FSTARTDATE DATETIME,
FENDDATE DATETIME,
FDELIVERYMANID BIGINT DEFAULT 0 NOT NULL,
FSTOCKORGID BIGINT DEFAULT 0 NOT NULL,
FWAREHOUSEID BIGINT DEFAULT 0 NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FPRINTSTATUS CHAR(1) DEFAULT '0' NOT NULL,
FPRINTCOUNT INT DEFAULT 0 NOT NULL,
FPRINTUSERID BIGINT DEFAULT 0 NOT NULL,
FPRINTDATE DATETIME,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FCREATETIME DATETIME,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FMODIFYTIME DATETIME,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERSENTRY_R' AND KSQL_COL_NAME IN ('FJOINPICKINGQTY')) 
 ALTER TABLE T_OCBSOC_XORDERSENTRY_R ADD (FJOINPICKINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERSENTRY_R' AND KSQL_COL_NAME IN ('FTOTALPICKINGQTY')) 
 ALTER TABLE T_OCBSOC_XORDERSENTRY_R ADD (FTOTALPICKINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERSENTRY_R' AND KSQL_COL_NAME IN ('FJOINPICKINGBASEQTY')) 
 ALTER TABLE T_OCBSOC_XORDERSENTRY_R ADD (FJOINPICKINGBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERSENTRY_R' AND KSQL_COL_NAME IN ('FTOTALPICKINGBASEQTY')) 
 ALTER TABLE T_OCBSOC_XORDERSENTRY_R ADD (FTOTALPICKINGBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY_R' AND KSQL_COL_NAME IN ('FJOINPICKINGQTY')) 
 ALTER TABLE T_OCBSOC_ORDERSUBENTRY_R ADD (FJOINPICKINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY_R' AND KSQL_COL_NAME IN ('FTOTALPICKINGQTY')) 
 ALTER TABLE T_OCBSOC_ORDERSUBENTRY_R ADD (FTOTALPICKINGQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY_R' AND KSQL_COL_NAME IN ('FJOINPICKINGBASEQTY')) 
 ALTER TABLE T_OCBSOC_ORDERSUBENTRY_R ADD (FJOINPICKINGBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERSUBENTRY_R' AND KSQL_COL_NAME IN ('FTOTALPICKINGBASEQTY')) 
 ALTER TABLE T_OCBSOC_ORDERSUBENTRY_R ADD (FTOTALPICKINGBASEQTY DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER' AND KSQL_COL_NAME IN ('FPRICECHANNELID')) 
 ALTER TABLE T_OCBSOC_ORDER ADD (FPRICECHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER' AND KSQL_COL_NAME IN ('FBALANCECHANNELID')) 
 ALTER TABLE T_OCBSOC_ORDER ADD (FBALANCECHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER' AND KSQL_COL_NAME IN ('FPRICECHANNELID')) 
 ALTER TABLE T_OCBSOC_XORDER ADD (FPRICECHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER' AND KSQL_COL_NAME IN ('FBALANCECHANNELID')) 
 ALTER TABLE T_OCBSOC_XORDER ADD (FBALANCECHANNELID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER_F' AND KSQL_COL_NAME IN ('FPICKINGSTATUS')) 
 ALTER TABLE T_OCBSOC_ORDER_F ADD (FPICKINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER_F' AND KSQL_COL_NAME IN ('FVEHICLEID')) 
 ALTER TABLE T_OCBSOC_ORDER_F ADD (FVEHICLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER_F' AND KSQL_COL_NAME IN ('FISCONTROLORDERQTY')) 
 ALTER TABLE T_OCBSOC_ORDER_F ADD (FISCONTROLORDERQTY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER_F' AND KSQL_COL_NAME IN ('FPICKINGSTATUS')) 
 ALTER TABLE T_OCBSOC_XORDER_F ADD (FPICKINGSTATUS CHAR(1) DEFAULT 'A' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER_F' AND KSQL_COL_NAME IN ('FVEHICLEID')) 
 ALTER TABLE T_OCBSOC_XORDER_F ADD (FVEHICLEID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER_F' AND KSQL_COL_NAME IN ('FISCONTROLORDERQTY')) 
 ALTER TABLE T_OCBSOC_XORDER_F ADD (FISCONTROLORDERQTY CHAR(1) DEFAULT '0' NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ADVANCEORDER_X') 
 CREATE TABLE T_OCBSOC_ADVANCEORDER_X (
FID BIGINT DEFAULT 0 NOT NULL,
FORDERDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FORDERDESCRIPTION_TAG NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ADVANCEORDER') 
 CREATE TABLE T_OCBSOC_ADVANCEORDER (
FID BIGINT DEFAULT 0 NOT NULL,
FBILLNO NVARCHAR(80) DEFAULT ' ' NOT NULL,
FBILLSTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FAUDITORID BIGINT DEFAULT 0 NOT NULL,
FAUDITTIME DATETIME,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FBILLTYPEID BIGINT DEFAULT 0 NOT NULL,
FORDERDATE DATETIME,
FSALEORGID BIGINT DEFAULT 0 NOT NULL,
FORDERCHANNELID BIGINT DEFAULT 0 NOT NULL,
FCUSTOMERID BIGINT DEFAULT 0 NOT NULL,
FPRICETYPEID BIGINT DEFAULT 0 NOT NULL,
FSALERID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTID BIGINT DEFAULT 0 NOT NULL,
FISTAX CHAR(1) DEFAULT '1' NOT NULL,
FPAYTYPE CHAR(1) DEFAULT '2' NOT NULL,
FSETTLEORGID BIGINT DEFAULT 0 NOT NULL,
FSETTLECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FBASECURRENCYID BIGINT DEFAULT 0 NOT NULL,
FEXCHANGERATE DECIMAL(23,10) DEFAULT 0 NOT NULL,
FEXRATETABLEID BIGINT DEFAULT 0 NOT NULL,
FEXRATEDATE DATETIME,
FSUMTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSUMLOCALTAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FCLOSESTATUS CHAR(1) DEFAULT 'A' NOT NULL,
FCLOSERID BIGINT DEFAULT 0 NOT NULL,
FCLOSEDATE DATETIME,
FORDERREMARK NVARCHAR(255) DEFAULT ' ' NOT NULL,
FPRICECHANNELID BIGINT DEFAULT 0 NOT NULL
);


/**End D:\PDM_UPGRADE\pdm1\OCBSOC_table.sql **/
