﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_ORDERECDISCOUNT') 
 CREATE TABLE T_OCBSOC_ORDERECDISCOUNT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECENTRYID BIGINT DEFAULT 0 NOT NULL,
FITEMENTRYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_OCBSOC_XORECDISCOUNT') 
 CREATE TABLE T_OCBSOC_XORECDISCOUNT (
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FRECENTRYID BIGINT DEFAULT 0 NOT NULL,
FITEMENTRYID BIGINT DEFAULT 0 NOT NULL,
FACCOUNTTYPEID BIGINT DEFAULT 0 NOT NULL,
FRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FUNITRECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL,
FDISCOUNTENTRYSRCID BIGINT DEFAULT 0 NOT NULL,
FDISCOUNTENTRYCHANGETYPE CHAR(1) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERRECENTRY' AND KSQL_COL_NAME ='FCLOSEUSEDAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDERRECENTRY ADD (FCLOSEUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERRECENTRY' AND KSQL_COL_NAME ='FACTUALUSEDAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDERRECENTRY ADD (FACTUALUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERRECENTRY' AND KSQL_COL_NAME ='FCLOSEUSEDAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDERRECENTRY ADD (FCLOSEUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERRECENTRY' AND KSQL_COL_NAME ='FACTUALUSEDAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDERRECENTRY ADD (FACTUALUSEDAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERENTRY_F' AND KSQL_COL_NAME ='FCLOSERECDISCOUNT') 
 ALTER TABLE T_OCBSOC_XORDERENTRY_F ADD (FCLOSERECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERENTRY_F' AND KSQL_COL_NAME ='FCLOSETAXAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDERENTRY_F ADD (FCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDERENTRY_F' AND KSQL_COL_NAME ='FACTUALTAXAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDERENTRY_F ADD (FACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER_F' AND KSQL_COL_NAME ='FSUMACTUALTAXAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDER_F ADD (FSUMACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_XORDER_F' AND KSQL_COL_NAME ='FSUMCLOSETAXAMOUNT') 
 ALTER TABLE T_OCBSOC_XORDER_F ADD (FSUMCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER_F' AND KSQL_COL_NAME ='FSUMACTUALTAXAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDER_F ADD (FSUMACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDER_F' AND KSQL_COL_NAME ='FSUMCLOSETAXAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDER_F ADD (FSUMCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERENTRY_F' AND KSQL_COL_NAME ='FCLOSERECDISCOUNT') 
 ALTER TABLE T_OCBSOC_ORDERENTRY_F ADD (FCLOSERECDISCOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERENTRY_F' AND KSQL_COL_NAME ='FCLOSETAXAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDERENTRY_F ADD (FCLOSETAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_OCBSOC_ORDERENTRY_F' AND KSQL_COL_NAME ='FACTUALTAXAMOUNT') 
 ALTER TABLE T_OCBSOC_ORDERENTRY_F ADD (FACTUALTAXAMOUNT DECIMAL(23,10) DEFAULT 0 NOT NULL );

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\OCBSOC_table.sql **/
