-- 编码规则预置数据

-- 退货单编码规则 # 张万强  #2020-11-27
DELETE FROM T_CR_CODERULE WHERE FID = '18+387D0//SN';
INSERT INTO T_CR_CODERULE(FEXAMPLE,FAPPMODE,FISADDVIEW,FISAPPCONDITION,FMASTERID,FISUNIQUE,FRULETYPE,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FISUPDATERECOVER,FISAPPORG,FISSERIALNUMBER,FDISABLERID,FISCHECKCODE,FID,FSPLITSIGN,FCTRLMODE,FDISABLEDATE,FISLOG,FSTATUS,FNUMBER,FEXAMPLELENGTH,FMODIFIERID,FISNONBREAK,FMODIFYTIME,FCREATORID) VALUES (' ','2','1','0','18+387D0//SN','0',NULL,'0',{ts'2020-11-27  10:54:44'},'ocbsoc_returnorder','1','0','0','1',NULL,'0','18+387D0//SN','-','1',NULL,'0','C','18+32LWYZ92Q',' ',0,'0',{ts'2020-11-27  10:54:44'},0); 

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '18+387D00J08';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('18+387D0//SN','18+387D00J08','zh_CN','退货单标准编码规则'); 
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '18+387D00J07';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('18+387D0//SN','18+387D00J07','zh_TW','退貨單標準編碼規則'); 

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '18+387EI/NVV';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('18+387D0//SN',1,'1',' ','0','18+387EI/NVV',1,'1','1',0,8,'1','THD',' ','1',' ','0',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '18+387EI/NVW';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('18+387D0//SN',1,'9','-','0','18+387EI/NVW',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','1',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '18+387EI/NVX';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('18+387D0//SN',1,'16','-','0','18+387EI/NVX',1,'1',' ',2,6,'1',' ',' ','1',' ','1',' '); 



-- 要货订单编码规则 #雷莉敏 #2020-12-09

DELETE FROM T_CR_CODERULE WHERE FID = '16G02UVZF+JG';
INSERT INTO T_CR_CODERULE(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID,FISSERIALNUMBER,FISMODIFIABLE,FISADDVIEW) VALUES ('16G02UVZF+JG','-','1',' ','2',NULL,'16G02UVZF+JG','C','16G/T2SSN449',NULL,' ',{ts'2020-11-10  10:33:43'},'ocbsoc_saleorder','1',0,'0',{ts'2020-11-10  10:33:43'},0,NULL,'1','1','1'); 

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '16G02UVZF/7Q';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('16G02UVZF+JG','16G02UVZF/7Q','zh_CN','要货订单编码规则'); 
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '190OQRG+TE08';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('16G02UVZF+JG','190OQRG+TE08','zh_TW','要貨訂單編碼規則'); 


DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '16G02UXJ20U6';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('16G02UVZF+JG',1,'1',' ','0','16G02UXJ20U6',1,'1','1',0,8,'1','SO',' ','1',' ','0',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '16G02UXJ20U7';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('16G02UVZF+JG',1,'9','-','0','16G02UXJ20U7',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','0',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '16G02UXJ20U8';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('16G02UVZF+JG',1,'16','-','0','16G02UXJ20U8',1,'1',' ',2,6,'1',' ',' ','1',' ','1',' '); 



-- 发货记录的编码规则 #何伟星 #2020-12-29
DELETE FROM T_CR_CODERULE WHERE FID = '1=V56XNK5EIP';
INSERT INTO T_CR_CODERULE(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FISADDVIEW,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FISMODIFIABLE,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FISSERIALNUMBER,FCREATORID,FDISABLERID) VALUES ('1=V56XNK5EIP','-','1',' ','2',NULL,'1','1=V56XNK5EIP','C','1=V5/Z3HZ255',NULL,' ','0',{ts'2020-12-29  17:22:43'},'ocbsoc_delivery_record','1',952676371052770304,'0',{ts'2020-12-29  17:34:04'},'1',0,NULL); 

DELETE FROM T_CR_CODERULE_L WHERE FPKID = '1=V56XNK2PUF';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1=V56XNK5EIP','1=V56XNK2PUF','zh_CN','发货记录的编码规则'); 
DELETE FROM T_CR_CODERULE_L WHERE FPKID = '1=V69J+ZVF66';
INSERT INTO T_CR_CODERULE_L(FID,FPKID,FLOCALEID,FNAME) VALUES ('1=V56XNK5EIP','1=V69J+ZVF66','zh_TW','發貨記錄的編碼規則'); 

DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '1=V69J0UA0B6';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1=V56XNK5EIP',1,'1',' ','0','1=V69J0UA0B6',1,'1','1',0,8,'1','FHJL',' ','1',' ','0',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '1=V69J0UA0B7';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1=V56XNK5EIP',1,'2','-','0','1=V69J0UA0B7',1,'1',' ',1,8,'1','yyyyMMdd',' ','1','createtime','1',' '); 
DELETE FROM T_CR_CODERULEENTRY WHERE FENTRYID = '1=V69J0UA0B8';
INSERT INTO T_CR_CODERULEENTRY(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('1=V56XNK5EIP',1,'16','-','0','1=V69J0UA0B8',1,'1',' ',2,5,'1',' ',' ','1',' ','1',' '); 